unit DatabaseUnit;

interface

uses
  DBTables;

const
  DBPath = 'Database\';

var
  DatabasePath: String;
  PrgSession: TSession;
  PrgDatabase: TDatabase;

procedure DatabaseOpen;
procedure DatabaseClose;

implementation

uses
  SysUtils;

procedure DatabaseOpen;
begin
  DatabasePath := ExtractFileDir(ParamStr(0));
  if DatabasePath[Length(DatabasePath)] <> '\' then
    DatabasePath := DatabasePath + '\';
  DatabasePath := DatabasePath + DBPath;

  PrgSession := TSession.Create(nil);
  PrgSession.NetFileDir := DatabasePath;
  PrgSession.PrivateDir := DatabasePath;
  PrgSession.SessionName := 'SessionTest';
  //PrgSession.Open;

  PrgDatabase := TDatabase.Create(nil);
  PrgDatabase.DatabaseName := DatabasePath;
  PrgDatabase.SessionName := 'SessionTest';
  PrgDatabase.Open;

end;

procedure DatabaseClose;
begin
  PrgDatabase.Free;
  PrgSession.Free;
end;

end.
